using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using NetChartControl;

namespace TestProject
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private NetChartControl.NetChart netChart1;
		private System.Windows.Forms.Button buttonSave;
		private System.Windows.Forms.CheckBox checkGraphicsMode;
		private System.Windows.Forms.CheckBox checkTitle;
		private System.Windows.Forms.CheckBox checkLegend;
		private System.Windows.Forms.Label labelBarJoin;
		private System.Windows.Forms.ComboBox comboBoxBarChange;
		private System.Windows.Forms.Label labelSeriesType;
		private System.Windows.Forms.ComboBox comboBoxSeriesType;
		private System.Windows.Forms.Label labelShadingMode;
		private System.Windows.Forms.ComboBox comboBoxShadingMode;
		private System.Windows.Forms.CheckBox checkPieExplode;
		private System.Windows.Forms.GroupBox groupBoxGlobalParams;
		private System.Windows.Forms.GroupBox groupBoxNetChartSeriesParams;
		private System.Windows.Forms.ComboBox comboBoxSeries;
		private System.Windows.Forms.Label labelSeries;
		private System.Windows.Forms.ComboBox comboBoxSingleSeriesType;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.CheckBox checkBoxSeriesVisible;
		private System.Windows.Forms.GroupBox groupBoxAxisParams;
		private System.Windows.Forms.Label labelAxisType;
		private System.Windows.Forms.ComboBox comboBoxAxisType;
		private System.Windows.Forms.CheckBox checkLabels;
		private System.Windows.Forms.Button buttonPrintPreview;
		private ArrayList seriesList = null;
		private System.Windows.Forms.Button buttonGenerateSeries;
		private System.Windows.Forms.ColorDialog colorDialog1;
		private System.Windows.Forms.Label labelAxisColor;
		private System.Windows.Forms.Label labelAxisColor1;
		private System.Windows.Forms.Button buttonAxisColor;
		private System.Windows.Forms.GroupBox groupBoxTitleParams;
		private System.Windows.Forms.Label labelTitleText;
		private System.Windows.Forms.TextBox textBoxTitleText;
		private System.Windows.Forms.Label labelSubtitleText;
		private System.Windows.Forms.TextBox textBoxSubtitleText;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label labelFirstBgColor;
		private System.Windows.Forms.Label labelSecondBgColor;
		private System.Windows.Forms.Button buttonFirstBgColor;
		private System.Windows.Forms.Button buttonSecondBgColor;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.NumericUpDown numericUpDownGradientAngle;
		private System.Windows.Forms.Label labelOutputType;
		private System.Windows.Forms.ComboBox comboBoxOutputType;
		private System.Drawing.Imaging.ImageFormat outputFormat = null;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.ComboBox comboBoxColorMode;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.ComboBox comboBoxBgMode;
		private System.Windows.Forms.Button buttonXMLExport;
		private System.Windows.Forms.Button buttonLoadXML;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			seriesList = new ArrayList();

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.netChart1 = new NetChartControl.NetChart();
			this.buttonSave = new System.Windows.Forms.Button();
			this.checkGraphicsMode = new System.Windows.Forms.CheckBox();
			this.checkTitle = new System.Windows.Forms.CheckBox();
			this.checkLegend = new System.Windows.Forms.CheckBox();
			this.comboBoxBarChange = new System.Windows.Forms.ComboBox();
			this.labelBarJoin = new System.Windows.Forms.Label();
			this.labelSeriesType = new System.Windows.Forms.Label();
			this.comboBoxSeriesType = new System.Windows.Forms.ComboBox();
			this.labelShadingMode = new System.Windows.Forms.Label();
			this.comboBoxShadingMode = new System.Windows.Forms.ComboBox();
			this.checkPieExplode = new System.Windows.Forms.CheckBox();
			this.groupBoxGlobalParams = new System.Windows.Forms.GroupBox();
			this.buttonXMLExport = new System.Windows.Forms.Button();
			this.label6 = new System.Windows.Forms.Label();
			this.comboBoxColorMode = new System.Windows.Forms.ComboBox();
			this.label5 = new System.Windows.Forms.Label();
			this.comboBoxOutputType = new System.Windows.Forms.ComboBox();
			this.labelOutputType = new System.Windows.Forms.Label();
			this.buttonGenerateSeries = new System.Windows.Forms.Button();
			this.buttonPrintPreview = new System.Windows.Forms.Button();
			this.checkLabels = new System.Windows.Forms.CheckBox();
			this.comboBoxBgMode = new System.Windows.Forms.ComboBox();
			this.groupBoxNetChartSeriesParams = new System.Windows.Forms.GroupBox();
			this.comboBoxSingleSeriesType = new System.Windows.Forms.ComboBox();
			this.label1 = new System.Windows.Forms.Label();
			this.labelSeries = new System.Windows.Forms.Label();
			this.comboBoxSeries = new System.Windows.Forms.ComboBox();
			this.checkBoxSeriesVisible = new System.Windows.Forms.CheckBox();
			this.groupBoxAxisParams = new System.Windows.Forms.GroupBox();
			this.buttonAxisColor = new System.Windows.Forms.Button();
			this.labelAxisColor1 = new System.Windows.Forms.Label();
			this.labelAxisColor = new System.Windows.Forms.Label();
			this.comboBoxAxisType = new System.Windows.Forms.ComboBox();
			this.labelAxisType = new System.Windows.Forms.Label();
			this.colorDialog1 = new System.Windows.Forms.ColorDialog();
			this.groupBoxTitleParams = new System.Windows.Forms.GroupBox();
			this.textBoxSubtitleText = new System.Windows.Forms.TextBox();
			this.labelSubtitleText = new System.Windows.Forms.Label();
			this.textBoxTitleText = new System.Windows.Forms.TextBox();
			this.labelTitleText = new System.Windows.Forms.Label();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.numericUpDownGradientAngle = new System.Windows.Forms.NumericUpDown();
			this.label4 = new System.Windows.Forms.Label();
			this.buttonSecondBgColor = new System.Windows.Forms.Button();
			this.buttonFirstBgColor = new System.Windows.Forms.Button();
			this.labelSecondBgColor = new System.Windows.Forms.Label();
			this.labelFirstBgColor = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.buttonLoadXML = new System.Windows.Forms.Button();
			this.groupBoxGlobalParams.SuspendLayout();
			this.groupBoxNetChartSeriesParams.SuspendLayout();
			this.groupBoxAxisParams.SuspendLayout();
			this.groupBoxTitleParams.SuspendLayout();
			this.groupBox1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownGradientAngle)).BeginInit();
			this.SuspendLayout();
			// 
			// netChart1
			// 
			this.netChart1.AxisColor = System.Drawing.Color.Green;
			this.netChart1.AxisType = NetChartControl.NetChartAxisType.AxisTypeWeekdays;
			this.netChart1.BackgroundBitmap = null;
			this.netChart1.BackgroundMode = NetChartControl.NetChartBackgroundMode.BackgroundModeGradient;
			this.netChart1.ColorMode = NetChartControl.NetChartColorMode.ColorModeRGB;
			this.netChart1.FirstBgColor = System.Drawing.Color.LightBlue;
			this.netChart1.GradientAngle = 45F;
			this.netChart1.GraphicsMode = NetChartControl.NetChartGraphicsMode.GraphicsMode2D;
			this.netChart1.Location = new System.Drawing.Point(256, 128);
			this.netChart1.Name = "netChart1";
			this.netChart1.SecondBgColor = System.Drawing.Color.LightYellow;
			this.netChart1.SeriesExplode = NetChartControl.NetChartSeriesExplode.SeriesExplodeNone;
			this.netChart1.SeriesJoin = NetChartControl.NetChartSeriesJoin.SeriesJoinSingle;
			this.netChart1.ShadingMode = NetChartControl.NetChartShadingMode.ShadingMode0;
			this.netChart1.ShowLabels = true;
			this.netChart1.ShowLegend = true;
			this.netChart1.ShowTitle = true;
			this.netChart1.Size = new System.Drawing.Size(300, 300);
			this.netChart1.SubtitleColor = System.Drawing.Color.Black;
			this.netChart1.SubtitleText = "Copyright by ETC Group, 2006.";
			this.netChart1.TabIndex = 0;
			this.netChart1.TitleColor = System.Drawing.Color.Red;
			this.netChart1.TitleText = "NetChartControl In Action";
			this.netChart1.TransparentColor = System.Drawing.Color.White;
			// 
			// buttonSave
			// 
			this.buttonSave.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonSave.Location = new System.Drawing.Point(640, 24);
			this.buttonSave.Name = "buttonSave";
			this.buttonSave.Size = new System.Drawing.Size(104, 23);
			this.buttonSave.TabIndex = 1;
			this.buttonSave.Text = "Save";
			this.buttonSave.Click += new System.EventHandler(this.buttonSave_Click);
			// 
			// checkGraphicsMode
			// 
			this.checkGraphicsMode.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.checkGraphicsMode.Location = new System.Drawing.Point(8, 72);
			this.checkGraphicsMode.Name = "checkGraphicsMode";
			this.checkGraphicsMode.TabIndex = 2;
			this.checkGraphicsMode.Text = "2D/3D switch";
			this.checkGraphicsMode.Click += new System.EventHandler(this.checkGraphicsMode_Click);
			// 
			// checkTitle
			// 
			this.checkTitle.Checked = true;
			this.checkTitle.CheckState = System.Windows.Forms.CheckState.Checked;
			this.checkTitle.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.checkTitle.Location = new System.Drawing.Point(8, 24);
			this.checkTitle.Name = "checkTitle";
			this.checkTitle.TabIndex = 3;
			this.checkTitle.Text = "Chart title";
			this.checkTitle.Click += new System.EventHandler(this.checkTitle_Click);
			// 
			// checkLegend
			// 
			this.checkLegend.Checked = true;
			this.checkLegend.CheckState = System.Windows.Forms.CheckState.Checked;
			this.checkLegend.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.checkLegend.Location = new System.Drawing.Point(8, 48);
			this.checkLegend.Name = "checkLegend";
			this.checkLegend.TabIndex = 4;
			this.checkLegend.Text = "Chart legend";
			this.checkLegend.Click += new System.EventHandler(this.checkLegend_Click);
			// 
			// comboBoxBarChange
			// 
			this.comboBoxBarChange.Items.AddRange(new object[] {
																   "SeriesJoinGroup",
																   "SeriesJoinSingle"});
			this.comboBoxBarChange.Location = new System.Drawing.Point(304, 24);
			this.comboBoxBarChange.Name = "comboBoxBarChange";
			this.comboBoxBarChange.Size = new System.Drawing.Size(121, 21);
			this.comboBoxBarChange.TabIndex = 6;
			this.comboBoxBarChange.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
			// 
			// labelBarJoin
			// 
			this.labelBarJoin.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelBarJoin.Location = new System.Drawing.Point(216, 24);
			this.labelBarJoin.Name = "labelBarJoin";
			this.labelBarJoin.Size = new System.Drawing.Size(80, 23);
			this.labelBarJoin.TabIndex = 7;
			this.labelBarJoin.Text = "Series join type:";
			this.labelBarJoin.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// labelSeriesType
			// 
			this.labelSeriesType.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelSeriesType.Location = new System.Drawing.Point(232, 48);
			this.labelSeriesType.Name = "labelSeriesType";
			this.labelSeriesType.Size = new System.Drawing.Size(64, 23);
			this.labelSeriesType.TabIndex = 8;
			this.labelSeriesType.Text = "Series type:";
			this.labelSeriesType.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// comboBoxSeriesType
			// 
			this.comboBoxSeriesType.Items.AddRange(new object[] {
																	"SeriesTypeBar",
																	"SeriesTypeCylinder",
																	"SeriesTypeLine",
																	"SeriesTypeArea",
																	"SeriesTypePie",
																	"SeriesTypeDoughnut",
																	"SeriesTypePyramid",
																	"SeriesTypeCone",
																	"SeriesTypeBubbles"});
			this.comboBoxSeriesType.Location = new System.Drawing.Point(304, 48);
			this.comboBoxSeriesType.MaxDropDownItems = 10;
			this.comboBoxSeriesType.Name = "comboBoxSeriesType";
			this.comboBoxSeriesType.Size = new System.Drawing.Size(121, 21);
			this.comboBoxSeriesType.TabIndex = 9;
			this.comboBoxSeriesType.SelectedIndexChanged += new System.EventHandler(this.comboBoxSeriesType_SelectedIndexChanged);
			// 
			// labelShadingMode
			// 
			this.labelShadingMode.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelShadingMode.Location = new System.Drawing.Point(216, 72);
			this.labelShadingMode.Name = "labelShadingMode";
			this.labelShadingMode.Size = new System.Drawing.Size(80, 23);
			this.labelShadingMode.TabIndex = 10;
			this.labelShadingMode.Text = "Shading mode:";
			this.labelShadingMode.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// comboBoxShadingMode
			// 
			this.comboBoxShadingMode.Items.AddRange(new object[] {
																	 "ShadingMode0",
																	 "ShadingMode1"});
			this.comboBoxShadingMode.Location = new System.Drawing.Point(304, 72);
			this.comboBoxShadingMode.Name = "comboBoxShadingMode";
			this.comboBoxShadingMode.Size = new System.Drawing.Size(121, 21);
			this.comboBoxShadingMode.TabIndex = 11;
			this.comboBoxShadingMode.SelectedIndexChanged += new System.EventHandler(this.comboBoxShadingMode_SelectedIndexChanged);
			// 
			// checkPieExplode
			// 
			this.checkPieExplode.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.checkPieExplode.Location = new System.Drawing.Point(112, 48);
			this.checkPieExplode.Name = "checkPieExplode";
			this.checkPieExplode.TabIndex = 12;
			this.checkPieExplode.Text = "Series explode";
			this.checkPieExplode.Click += new System.EventHandler(this.checkPieExplode_Click);
			// 
			// groupBoxGlobalParams
			// 
			this.groupBoxGlobalParams.Controls.Add(this.buttonLoadXML);
			this.groupBoxGlobalParams.Controls.Add(this.buttonXMLExport);
			this.groupBoxGlobalParams.Controls.Add(this.label6);
			this.groupBoxGlobalParams.Controls.Add(this.comboBoxColorMode);
			this.groupBoxGlobalParams.Controls.Add(this.label5);
			this.groupBoxGlobalParams.Controls.Add(this.comboBoxOutputType);
			this.groupBoxGlobalParams.Controls.Add(this.labelOutputType);
			this.groupBoxGlobalParams.Controls.Add(this.buttonGenerateSeries);
			this.groupBoxGlobalParams.Controls.Add(this.buttonPrintPreview);
			this.groupBoxGlobalParams.Controls.Add(this.checkTitle);
			this.groupBoxGlobalParams.Controls.Add(this.checkLegend);
			this.groupBoxGlobalParams.Controls.Add(this.checkGraphicsMode);
			this.groupBoxGlobalParams.Controls.Add(this.checkLabels);
			this.groupBoxGlobalParams.Controls.Add(this.checkPieExplode);
			this.groupBoxGlobalParams.Controls.Add(this.labelBarJoin);
			this.groupBoxGlobalParams.Controls.Add(this.comboBoxBarChange);
			this.groupBoxGlobalParams.Controls.Add(this.comboBoxSeriesType);
			this.groupBoxGlobalParams.Controls.Add(this.labelSeriesType);
			this.groupBoxGlobalParams.Controls.Add(this.labelShadingMode);
			this.groupBoxGlobalParams.Controls.Add(this.comboBoxShadingMode);
			this.groupBoxGlobalParams.Controls.Add(this.buttonSave);
			this.groupBoxGlobalParams.Controls.Add(this.comboBoxBgMode);
			this.groupBoxGlobalParams.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.groupBoxGlobalParams.Location = new System.Drawing.Point(8, 8);
			this.groupBoxGlobalParams.Name = "groupBoxGlobalParams";
			this.groupBoxGlobalParams.Size = new System.Drawing.Size(856, 104);
			this.groupBoxGlobalParams.TabIndex = 13;
			this.groupBoxGlobalParams.TabStop = false;
			this.groupBoxGlobalParams.Text = "NetChartControl global params";
			// 
			// buttonXMLExport
			// 
			this.buttonXMLExport.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonXMLExport.Location = new System.Drawing.Point(744, 23);
			this.buttonXMLExport.Name = "buttonXMLExport";
			this.buttonXMLExport.Size = new System.Drawing.Size(104, 24);
			this.buttonXMLExport.TabIndex = 20;
			this.buttonXMLExport.Text = "Export to XML...";
			this.buttonXMLExport.Click += new System.EventHandler(this.buttonXMLExport_Click);
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(448, 72);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(60, 23);
			this.label6.TabIndex = 19;
			this.label6.Text = "Bg. mode:";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// comboBoxColorMode
			// 
			this.comboBoxColorMode.Items.AddRange(new object[] {
																   "ColorModeRGB",
																   "ColorModeBW",
																   "ColorModeSepia"});
			this.comboBoxColorMode.Location = new System.Drawing.Point(512, 48);
			this.comboBoxColorMode.Name = "comboBoxColorMode";
			this.comboBoxColorMode.Size = new System.Drawing.Size(121, 21);
			this.comboBoxColorMode.TabIndex = 18;
			this.comboBoxColorMode.SelectedIndexChanged += new System.EventHandler(this.comboBoxColorMode_SelectedIndexChanged);
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(440, 48);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(72, 23);
			this.label5.TabIndex = 17;
			this.label5.Text = "Color mode:";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// comboBoxOutputType
			// 
			this.comboBoxOutputType.Items.AddRange(new object[] {
																	"Bitmap file",
																	"JPEG file",
																	"PNG file",
																	"Tiff file",
																	"GIF file"});
			this.comboBoxOutputType.Location = new System.Drawing.Point(512, 24);
			this.comboBoxOutputType.Name = "comboBoxOutputType";
			this.comboBoxOutputType.Size = new System.Drawing.Size(121, 21);
			this.comboBoxOutputType.TabIndex = 16;
			this.comboBoxOutputType.SelectedIndexChanged += new System.EventHandler(this.comboBoxOutputType_SelectedIndexChanged);
			// 
			// labelOutputType
			// 
			this.labelOutputType.Location = new System.Drawing.Point(440, 24);
			this.labelOutputType.Name = "labelOutputType";
			this.labelOutputType.Size = new System.Drawing.Size(72, 23);
			this.labelOutputType.TabIndex = 15;
			this.labelOutputType.Text = "Output type:";
			this.labelOutputType.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// buttonGenerateSeries
			// 
			this.buttonGenerateSeries.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonGenerateSeries.Location = new System.Drawing.Point(640, 72);
			this.buttonGenerateSeries.Name = "buttonGenerateSeries";
			this.buttonGenerateSeries.Size = new System.Drawing.Size(104, 23);
			this.buttonGenerateSeries.TabIndex = 14;
			this.buttonGenerateSeries.Text = "Generate Series";
			this.buttonGenerateSeries.Click += new System.EventHandler(this.buttonGenerateSeries_Click);
			// 
			// buttonPrintPreview
			// 
			this.buttonPrintPreview.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonPrintPreview.Location = new System.Drawing.Point(640, 48);
			this.buttonPrintPreview.Name = "buttonPrintPreview";
			this.buttonPrintPreview.Size = new System.Drawing.Size(104, 23);
			this.buttonPrintPreview.TabIndex = 13;
			this.buttonPrintPreview.Text = "Print Preview";
			this.buttonPrintPreview.Click += new System.EventHandler(this.buttonPrintPreview_Click);
			// 
			// checkLabels
			// 
			this.checkLabels.Checked = true;
			this.checkLabels.CheckState = System.Windows.Forms.CheckState.Checked;
			this.checkLabels.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.checkLabels.Location = new System.Drawing.Point(112, 24);
			this.checkLabels.Name = "checkLabels";
			this.checkLabels.TabIndex = 5;
			this.checkLabels.Text = "Chart labels";
			this.checkLabels.Click += new System.EventHandler(this.checkLabels_Click);
			// 
			// comboBoxBgMode
			// 
			this.comboBoxBgMode.Items.AddRange(new object[] {
																"BackgroundModeDefault",
																"BackgroundModeGradient",
																"BackgroundModeImage"});
			this.comboBoxBgMode.Location = new System.Drawing.Point(512, 72);
			this.comboBoxBgMode.Name = "comboBoxBgMode";
			this.comboBoxBgMode.Size = new System.Drawing.Size(121, 21);
			this.comboBoxBgMode.TabIndex = 19;
			this.comboBoxBgMode.SelectedIndexChanged += new System.EventHandler(this.comboBoxBgMode_SelectedIndexChanged);
			// 
			// groupBoxNetChartSeriesParams
			// 
			this.groupBoxNetChartSeriesParams.Controls.Add(this.comboBoxSingleSeriesType);
			this.groupBoxNetChartSeriesParams.Controls.Add(this.label1);
			this.groupBoxNetChartSeriesParams.Controls.Add(this.labelSeries);
			this.groupBoxNetChartSeriesParams.Controls.Add(this.comboBoxSeries);
			this.groupBoxNetChartSeriesParams.Controls.Add(this.checkBoxSeriesVisible);
			this.groupBoxNetChartSeriesParams.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.groupBoxNetChartSeriesParams.Location = new System.Drawing.Point(8, 128);
			this.groupBoxNetChartSeriesParams.Name = "groupBoxNetChartSeriesParams";
			this.groupBoxNetChartSeriesParams.Size = new System.Drawing.Size(240, 120);
			this.groupBoxNetChartSeriesParams.TabIndex = 14;
			this.groupBoxNetChartSeriesParams.TabStop = false;
			this.groupBoxNetChartSeriesParams.Text = "NetChartControl series params";
			// 
			// comboBoxSingleSeriesType
			// 
			this.comboBoxSingleSeriesType.Items.AddRange(new object[] {
																		  "SeriesTypeBar",
																		  "SeriesTypeCylinder",
																		  "SeriesTypeLine",
																		  "SeriesTypeArea",
																		  "SeriesTypePie",
																		  "SeriesTypeDoughnut",
																		  "SeriesTypePyramid",
																		  "SeriesTypeCone",
																		  "SeriesTypeBubbles"});
			this.comboBoxSingleSeriesType.Location = new System.Drawing.Point(96, 56);
			this.comboBoxSingleSeriesType.MaxDropDownItems = 10;
			this.comboBoxSingleSeriesType.Name = "comboBoxSingleSeriesType";
			this.comboBoxSingleSeriesType.Size = new System.Drawing.Size(136, 21);
			this.comboBoxSingleSeriesType.TabIndex = 13;
			this.comboBoxSingleSeriesType.SelectedIndexChanged += new System.EventHandler(this.comboBoxSingleSeriesType_SelectedIndexChanged);
			// 
			// label1
			// 
			this.label1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label1.Location = new System.Drawing.Point(24, 56);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(64, 23);
			this.label1.TabIndex = 12;
			this.label1.Text = "Series type:";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// labelSeries
			// 
			this.labelSeries.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelSeries.Location = new System.Drawing.Point(16, 24);
			this.labelSeries.Name = "labelSeries";
			this.labelSeries.Size = new System.Drawing.Size(72, 23);
			this.labelSeries.TabIndex = 1;
			this.labelSeries.Text = "Select series:";
			this.labelSeries.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// comboBoxSeries
			// 
			this.comboBoxSeries.Location = new System.Drawing.Point(96, 24);
			this.comboBoxSeries.Name = "comboBoxSeries";
			this.comboBoxSeries.Size = new System.Drawing.Size(136, 21);
			this.comboBoxSeries.TabIndex = 0;
			this.comboBoxSeries.SelectedIndexChanged += new System.EventHandler(this.comboBoxSeries_SelectedIndexChanged);
			// 
			// checkBoxSeriesVisible
			// 
			this.checkBoxSeriesVisible.Location = new System.Drawing.Point(88, 88);
			this.checkBoxSeriesVisible.Name = "checkBoxSeriesVisible";
			this.checkBoxSeriesVisible.Size = new System.Drawing.Size(64, 24);
			this.checkBoxSeriesVisible.TabIndex = 15;
			this.checkBoxSeriesVisible.Text = "Visible";
			this.checkBoxSeriesVisible.Click += new System.EventHandler(this.checkBoxSeriesVisible_Click);
			// 
			// groupBoxAxisParams
			// 
			this.groupBoxAxisParams.Controls.Add(this.buttonAxisColor);
			this.groupBoxAxisParams.Controls.Add(this.labelAxisColor1);
			this.groupBoxAxisParams.Controls.Add(this.labelAxisColor);
			this.groupBoxAxisParams.Controls.Add(this.comboBoxAxisType);
			this.groupBoxAxisParams.Controls.Add(this.labelAxisType);
			this.groupBoxAxisParams.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.groupBoxAxisParams.Location = new System.Drawing.Point(8, 264);
			this.groupBoxAxisParams.Name = "groupBoxAxisParams";
			this.groupBoxAxisParams.Size = new System.Drawing.Size(240, 96);
			this.groupBoxAxisParams.TabIndex = 15;
			this.groupBoxAxisParams.TabStop = false;
			this.groupBoxAxisParams.Text = "NetChartContorl axis params";
			// 
			// buttonAxisColor
			// 
			this.buttonAxisColor.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonAxisColor.Location = new System.Drawing.Point(157, 56);
			this.buttonAxisColor.Name = "buttonAxisColor";
			this.buttonAxisColor.TabIndex = 19;
			this.buttonAxisColor.Text = "Change...";
			this.buttonAxisColor.Click += new System.EventHandler(this.buttonAxisColor_Click);
			// 
			// labelAxisColor1
			// 
			this.labelAxisColor1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.labelAxisColor1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelAxisColor1.Location = new System.Drawing.Point(96, 56);
			this.labelAxisColor1.Name = "labelAxisColor1";
			this.labelAxisColor1.Size = new System.Drawing.Size(56, 23);
			this.labelAxisColor1.TabIndex = 18;
			// 
			// labelAxisColor
			// 
			this.labelAxisColor.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelAxisColor.Location = new System.Drawing.Point(32, 56);
			this.labelAxisColor.Name = "labelAxisColor";
			this.labelAxisColor.Size = new System.Drawing.Size(56, 23);
			this.labelAxisColor.TabIndex = 17;
			this.labelAxisColor.Text = "Axis color:";
			this.labelAxisColor.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// comboBoxAxisType
			// 
			this.comboBoxAxisType.Items.AddRange(new object[] {
																  "AxisTypeMonths",
																  "AxisTypeWeekdays",
																  "AxisTypeWorkdays",
																  "AxisType12Hours",
																  "AxisType24Hours",
																  "AxisTypeCustom"});
			this.comboBoxAxisType.Location = new System.Drawing.Point(96, 24);
			this.comboBoxAxisType.Name = "comboBoxAxisType";
			this.comboBoxAxisType.Size = new System.Drawing.Size(136, 21);
			this.comboBoxAxisType.TabIndex = 16;
			this.comboBoxAxisType.SelectedIndexChanged += new System.EventHandler(this.comboBoxAxisType_SelectedIndexChanged);
			// 
			// labelAxisType
			// 
			this.labelAxisType.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelAxisType.Location = new System.Drawing.Point(32, 24);
			this.labelAxisType.Name = "labelAxisType";
			this.labelAxisType.Size = new System.Drawing.Size(56, 23);
			this.labelAxisType.TabIndex = 16;
			this.labelAxisType.Text = "Axis type:";
			this.labelAxisType.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// groupBoxTitleParams
			// 
			this.groupBoxTitleParams.Controls.Add(this.textBoxSubtitleText);
			this.groupBoxTitleParams.Controls.Add(this.labelSubtitleText);
			this.groupBoxTitleParams.Controls.Add(this.textBoxTitleText);
			this.groupBoxTitleParams.Controls.Add(this.labelTitleText);
			this.groupBoxTitleParams.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.groupBoxTitleParams.Location = new System.Drawing.Point(8, 376);
			this.groupBoxTitleParams.Name = "groupBoxTitleParams";
			this.groupBoxTitleParams.Size = new System.Drawing.Size(240, 88);
			this.groupBoxTitleParams.TabIndex = 16;
			this.groupBoxTitleParams.TabStop = false;
			this.groupBoxTitleParams.Text = "NetChartControl title params";
			// 
			// textBoxSubtitleText
			// 
			this.textBoxSubtitleText.Location = new System.Drawing.Point(96, 56);
			this.textBoxSubtitleText.Name = "textBoxSubtitleText";
			this.textBoxSubtitleText.Size = new System.Drawing.Size(136, 20);
			this.textBoxSubtitleText.TabIndex = 3;
			this.textBoxSubtitleText.Text = "Copyright by ETC Group, 2006";
			this.textBoxSubtitleText.TextChanged += new System.EventHandler(this.textBoxSubtitleText_TextChanged);
			// 
			// labelSubtitleText
			// 
			this.labelSubtitleText.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelSubtitleText.Location = new System.Drawing.Point(16, 56);
			this.labelSubtitleText.Name = "labelSubtitleText";
			this.labelSubtitleText.Size = new System.Drawing.Size(72, 23);
			this.labelSubtitleText.TabIndex = 2;
			this.labelSubtitleText.Text = "Subtitle text:";
			this.labelSubtitleText.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// textBoxTitleText
			// 
			this.textBoxTitleText.Location = new System.Drawing.Point(96, 24);
			this.textBoxTitleText.Name = "textBoxTitleText";
			this.textBoxTitleText.Size = new System.Drawing.Size(136, 20);
			this.textBoxTitleText.TabIndex = 1;
			this.textBoxTitleText.Text = "NetChartControl In Action";
			this.textBoxTitleText.TextChanged += new System.EventHandler(this.textBoxTitleText_TextChanged);
			// 
			// labelTitleText
			// 
			this.labelTitleText.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelTitleText.Location = new System.Drawing.Point(32, 24);
			this.labelTitleText.Name = "labelTitleText";
			this.labelTitleText.Size = new System.Drawing.Size(56, 23);
			this.labelTitleText.TabIndex = 0;
			this.labelTitleText.Text = "Title text:";
			this.labelTitleText.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// groupBox1
			// 
			this.groupBox1.Controls.Add(this.numericUpDownGradientAngle);
			this.groupBox1.Controls.Add(this.label4);
			this.groupBox1.Controls.Add(this.buttonSecondBgColor);
			this.groupBox1.Controls.Add(this.buttonFirstBgColor);
			this.groupBox1.Controls.Add(this.labelSecondBgColor);
			this.groupBox1.Controls.Add(this.labelFirstBgColor);
			this.groupBox1.Controls.Add(this.label3);
			this.groupBox1.Controls.Add(this.label2);
			this.groupBox1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.groupBox1.Location = new System.Drawing.Point(8, 480);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(240, 128);
			this.groupBox1.TabIndex = 17;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "NetChartControl backround params";
			// 
			// numericUpDownGradientAngle
			// 
			this.numericUpDownGradientAngle.Location = new System.Drawing.Point(96, 88);
			this.numericUpDownGradientAngle.Maximum = new System.Decimal(new int[] {
																					   360,
																					   0,
																					   0,
																					   0});
			this.numericUpDownGradientAngle.Name = "numericUpDownGradientAngle";
			this.numericUpDownGradientAngle.ReadOnly = true;
			this.numericUpDownGradientAngle.Size = new System.Drawing.Size(136, 20);
			this.numericUpDownGradientAngle.TabIndex = 7;
			this.numericUpDownGradientAngle.ValueChanged += new System.EventHandler(this.numericUpDownGradientAngle_ValueChanged);
			// 
			// label4
			// 
			this.label4.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label4.Location = new System.Drawing.Point(4, 88);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(84, 23);
			this.label4.TabIndex = 6;
			this.label4.Text = "Gradient angle:";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// buttonSecondBgColor
			// 
			this.buttonSecondBgColor.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonSecondBgColor.Location = new System.Drawing.Point(157, 56);
			this.buttonSecondBgColor.Name = "buttonSecondBgColor";
			this.buttonSecondBgColor.TabIndex = 5;
			this.buttonSecondBgColor.Text = "Change...";
			this.buttonSecondBgColor.Click += new System.EventHandler(this.buttonSecondBgColor_Click);
			// 
			// buttonFirstBgColor
			// 
			this.buttonFirstBgColor.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonFirstBgColor.Location = new System.Drawing.Point(157, 24);
			this.buttonFirstBgColor.Name = "buttonFirstBgColor";
			this.buttonFirstBgColor.TabIndex = 4;
			this.buttonFirstBgColor.Text = "Change...";
			this.buttonFirstBgColor.Click += new System.EventHandler(this.buttonFirstBgColor_Click);
			// 
			// labelSecondBgColor
			// 
			this.labelSecondBgColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.labelSecondBgColor.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelSecondBgColor.Location = new System.Drawing.Point(96, 56);
			this.labelSecondBgColor.Name = "labelSecondBgColor";
			this.labelSecondBgColor.Size = new System.Drawing.Size(56, 23);
			this.labelSecondBgColor.TabIndex = 3;
			this.labelSecondBgColor.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// labelFirstBgColor
			// 
			this.labelFirstBgColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.labelFirstBgColor.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelFirstBgColor.Location = new System.Drawing.Point(96, 24);
			this.labelFirstBgColor.Name = "labelFirstBgColor";
			this.labelFirstBgColor.Size = new System.Drawing.Size(56, 23);
			this.labelFirstBgColor.TabIndex = 2;
			this.labelFirstBgColor.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label3
			// 
			this.label3.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label3.Location = new System.Drawing.Point(16, 56);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(72, 23);
			this.label3.TabIndex = 1;
			this.label3.Text = "Second color:";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label2
			// 
			this.label2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label2.Location = new System.Drawing.Point(24, 24);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(64, 23);
			this.label2.TabIndex = 0;
			this.label2.Text = "First color:";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// buttonLoadXML
			// 
			this.buttonLoadXML.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonLoadXML.Location = new System.Drawing.Point(744, 48);
			this.buttonLoadXML.Name = "buttonLoadXML";
			this.buttonLoadXML.Size = new System.Drawing.Size(104, 23);
			this.buttonLoadXML.TabIndex = 21;
			this.buttonLoadXML.Text = "Load from XML...";
			this.buttonLoadXML.Click += new System.EventHandler(this.buttonLoadXML_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(872, 614);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.groupBoxTitleParams);
			this.Controls.Add(this.groupBoxAxisParams);
			this.Controls.Add(this.groupBoxNetChartSeriesParams);
			this.Controls.Add(this.groupBoxGlobalParams);
			this.Controls.Add(this.netChart1);
			this.Name = "Form1";
			this.Text = "NetChartControl - WinForm Test Project";
			this.Resize += new System.EventHandler(this.Form1_Resize);
			this.Load += new System.EventHandler(this.Form1_Load);
			this.groupBoxGlobalParams.ResumeLayout(false);
			this.groupBoxNetChartSeriesParams.ResumeLayout(false);
			this.groupBoxAxisParams.ResumeLayout(false);
			this.groupBoxTitleParams.ResumeLayout(false);
			this.groupBox1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownGradientAngle)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.EnableVisualStyles();
			Application.Run(new Form1());
		}

		private void Form1_Resize(object sender, System.EventArgs e)
		{
			netChart1.Size = new Size(this.ClientRectangle.Width-300, this.ClientRectangle.Height-200);
			netChart1.Refresh();
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			netChart1.Location = new Point(270, 150);
			netChart1.Size = new Size(this.ClientRectangle.Width-300, this.ClientRectangle.Height-200);

/*			Random random = new Random();
			for (int i=1; i<=random.Next(2, 11); i++)
			{
				NetChartSeries series = new NetChartSeries();
				series.SeriesName = "Series" + i.ToString();
				series.SeriesType = (NetChartSeriesType)random.Next(9);
				series.SeriesColor = Color.FromArgb(255, random.Next(255), random.Next(255), random.Next(255));
				for (int j=0; j<random.Next(0, 10); j++)
					series.Values.Add(Math.Pow(-1,random.Next(0,3))*random.NextDouble()*100);
				netChart1.AddSeries(series);
				seriesList.Add(series);
			}*/

			NetChartSeries series1 = new NetChartSeries();
			series1.SeriesName = "Series1";
			series1.SeriesType = NetChartSeriesType.SeriesTypeBar;
			series1.SeriesColor = Color.Red;
			series1.Values.Add(20);
			series1.Values.Add(50);
			series1.Values.Add(100);
			series1.Values.Add(-10);
			series1.Values.Add(-30);
			netChart1.AddSeries(series1);
			seriesList.Add(series1);

			NetChartSeries series2 = new NetChartSeries();
			series2.SeriesName = "Series2";
			series2.SeriesType = NetChartSeriesType.SeriesTypeBar;
			series2.SeriesColor = Color.Blue;
			series2.Values.Add(5);
			series2.Values.Add(10);
			series2.Values.Add(0);
			series2.Values.Add(10);
			netChart1.AddSeries(series2);
			seriesList.Add(series2);

			NetChartSeries series3 = new NetChartSeries();
			series3.SeriesName = "Series3";
			series3.SeriesType = NetChartSeriesType.SeriesTypeBar;
			series3.SeriesColor = Color.Green;
			series3.Values.Add(-15);
			series3.Values.Add(-50);
			series3.Values.Add(0);
			netChart1.AddSeries(series3);
			seriesList.Add(series3);

			NetChartSeries series4 = new NetChartSeries();
			series4.SeriesName = "Series4";
			series4.SeriesType = NetChartSeriesType.SeriesTypeBar;
			series4.SeriesColor = Color.Yellow;
			series4.Values.Add(-15);
			series4.Values.Add(15);
			series4.Values.Add(-20);
			series4.Values.Add(20);
			series4.Values.Add(-30);
			series4.Values.Add(30);
			netChart1.AddSeries(series4);
			seriesList.Add(series4);

			netChart1.AxisType = NetChartAxisType.AxisTypeWeekdays;
			netChart1.SeriesJoin = NetChartSeriesJoin.SeriesJoinGroup;
			netChart1.SeriesExplode = NetChartSeriesExplode.SeriesExplodeNone;
			netChart1.GraphicsMode = NetChartGraphicsMode.GraphicsMode2D;
			netChart1.ShadingMode = NetChartShadingMode.ShadingMode0;
			netChart1.ColorMode = NetChartColorMode.ColorModeRGB;
			netChart1.BackgroundMode = NetChartBackgroundMode.BackgroundModeGradient;
			netChart1.ShowLabels = true;
			netChart1.ShowLegend = true;
			netChart1.ShowTitle = true;
			netChart1.BackgroundBitmap = "BgImage.jpg";
			netChart1.UpdateChart();

			comboBoxBarChange.SelectedIndex = 0;
			comboBoxSeriesType.SelectedIndex = 0;
			comboBoxShadingMode.SelectedIndex = 0;
			checkGraphicsMode.Checked = false;
			checkLabels.Checked = true;
			checkLegend.Checked = true;
			checkPieExplode.Checked = false;
			checkTitle.Checked = true;

			comboBoxSeries.Items.Clear();
			for (int i=0; i<seriesList.Count; i++)
			{
				NetChartSeries series = (NetChartSeries)seriesList[i];
				comboBoxSeries.Items.Add(series.SeriesName);
			}
			comboBoxSeries.SelectedIndex = 0;
			comboBoxAxisType.SelectedIndex = (int)netChart1.AxisType;
			comboBoxOutputType.SelectedIndex = 0;

			colorDialog1.Color = netChart1.AxisColor;
			labelAxisColor1.BackColor = colorDialog1.Color;
			labelFirstBgColor.BackColor = netChart1.FirstBgColor;
			labelSecondBgColor.BackColor = netChart1.SecondBgColor;
			numericUpDownGradientAngle.Value = (int)netChart1.GradientAngle;
			comboBoxColorMode.SelectedIndex = 0;
			comboBoxBgMode.SelectedIndex = 1;
		}

		private void buttonSave_Click(object sender, System.EventArgs e)
		{
			netChart1.Save("TestImage." + outputFormat.ToString(), outputFormat);
		}

		private void checkGraphicsMode_Click(object sender, System.EventArgs e)
		{
			if (checkGraphicsMode.Checked)
				netChart1.GraphicsMode = NetChartGraphicsMode.GraphicsMode3D;
			else
				netChart1.GraphicsMode = NetChartGraphicsMode.GraphicsMode2D;
			
			netChart1.UpdateChart();
		}

		private void checkTitle_Click(object sender, System.EventArgs e)
		{
			if (checkTitle.Checked)
				netChart1.ShowTitle = true;
			else
				netChart1.ShowTitle = false;
			
			netChart1.UpdateChart();
		}

		private void checkLegend_Click(object sender, System.EventArgs e)
		{
			if (checkLegend.Checked)
				netChart1.ShowLegend = true;
			else
				netChart1.ShowLegend = false;
			
			netChart1.UpdateChart();
		}

		private void checkLabels_Click(object sender, System.EventArgs e)
		{
			if (checkLabels.Checked)
				netChart1.ShowLabels = true;
			else
				netChart1.ShowLabels = false;
			
			netChart1.UpdateChart();
		}

		private void comboBox1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (comboBoxBarChange.SelectedIndex == 0)
				netChart1.SeriesJoin = NetChartSeriesJoin.SeriesJoinGroup;
			else
				netChart1.SeriesJoin = NetChartSeriesJoin.SeriesJoinSingle;
			
			netChart1.UpdateChart();
		}

		private void comboBoxSeriesType_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			for (int i=0; i<netChart1.GetSeriesNumber(); i++)
			{
				NetChartSeries series = netChart1.GetSeries(i);
				switch (comboBoxSeriesType.SelectedIndex)
				{
					case 0:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypeBar;

					} break;

					case 1:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypeCylinder;

					} break;

					case 2:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypeLine;

					} break;

					case 3:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypeArea;

					} break;

					case 4:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypePie;

					} break;

					case 5:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypeDoughnut;

					} break;

					case 6:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypePyramid;

					} break;

					case 7:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypeCone;

					} break;

					case 8:
					{
						series.SeriesType = NetChartSeriesType.SeriesTypeBubble;

					} break;
				}
			}

			netChart1.UpdateChart();
		}

		private void comboBoxShadingMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			switch (comboBoxShadingMode.SelectedIndex)
			{
				case 0:
				{
					netChart1.ShadingMode = NetChartShadingMode.ShadingMode0;

				} break;

				case 1:
				{
					netChart1.ShadingMode = NetChartShadingMode.ShadingMode1;

				} break;
			}

			netChart1.UpdateChart();
		}

		private void checkPieExplode_Click(object sender, System.EventArgs e)
		{
			if (checkPieExplode.Checked)
				netChart1.SeriesExplode = NetChartSeriesExplode.SeriesExplodeFar;
			else
				netChart1.SeriesExplode = NetChartSeriesExplode.SeriesExplodeNone;
			
			netChart1.UpdateChart();
		}

		private void comboBoxSeries_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			NetChartSeries series = netChart1.GetSeries(comboBoxSeries.SelectedIndex);
			comboBoxSingleSeriesType.SelectedIndex = (int)(series.SeriesType);
			checkBoxSeriesVisible.Checked = series.Visible;
		}

		private void comboBoxSingleSeriesType_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			NetChartSeries series = netChart1.GetSeries(comboBoxSeries.SelectedIndex);
			series.SeriesType = (NetChartSeriesType)comboBoxSingleSeriesType.SelectedIndex;

			netChart1.UpdateChart();
		}

		private void checkBoxSeriesVisible_Click(object sender, System.EventArgs e)
		{
			NetChartSeries series = netChart1.GetSeries(comboBoxSeries.SelectedIndex);
			series.Visible = checkBoxSeriesVisible.Checked;

			netChart1.UpdateChart();
		}

		private void comboBoxAxisType_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			netChart1.AxisType = (NetChartAxisType)comboBoxAxisType.SelectedIndex;

			if (comboBoxAxisType.SelectedIndex == 5)
			{
				ArrayList xLabelsList = new ArrayList();
				xLabelsList.Add("First Qt.");
				xLabelsList.Add("Second Qt.");
				xLabelsList.Add("Third Qt.");
				xLabelsList.Add("Fourth Qt.");
				netChart1.SetAxisLabels(xLabelsList);
			}

			netChart1.UpdateChart();
		}

		private void buttonPrintPreview_Click(object sender, System.EventArgs e)
		{
			Rectangle printRectangle = new Rectangle(50, 50, 400, 400);
			netChart1.Print(printRectangle);
		}

		private void buttonGenerateSeries_Click(object sender, System.EventArgs e)
		{
			seriesList.Clear();
			netChart1.ClearSeries();

			Random random = new Random();
			for (int i=1; i<=random.Next(2, 11); i++)
			{
				NetChartSeries series = new NetChartSeries();
				series.SeriesName = "Series" + i.ToString();
				series.SeriesType = (NetChartSeriesType)random.Next(9);
				series.SeriesColor = Color.FromArgb(255, random.Next(255), random.Next(255), random.Next(255));
				for (int j=0; j<random.Next(0, 10); j++)
					series.Values.Add(Math.Pow(-1,random.Next(0,3))*random.NextDouble()*100);
				netChart1.AddSeries(series);
				seriesList.Add(series);
			}

			netChart1.AxisType = NetChartAxisType.AxisTypeWeekdays;
			netChart1.SeriesJoin = NetChartSeriesJoin.SeriesJoinGroup;
			netChart1.SeriesExplode = NetChartSeriesExplode.SeriesExplodeNone;
			netChart1.GraphicsMode = NetChartGraphicsMode.GraphicsMode2D;
			netChart1.ShadingMode = NetChartShadingMode.ShadingMode0;
			netChart1.ColorMode = NetChartColorMode.ColorModeRGB;
			netChart1.BackgroundMode = NetChartBackgroundMode.BackgroundModeGradient;
			netChart1.ShowLabels = true;
			netChart1.ShowLegend = true;
			netChart1.ShowTitle = true;
			netChart1.UpdateChart();

			comboBoxBarChange.SelectedIndex = 0;
			comboBoxSeriesType.SelectedIndex = 0;
			comboBoxShadingMode.SelectedIndex = 0;
			checkGraphicsMode.Checked = false;
			checkLabels.Checked = true;
			checkLegend.Checked = true;
			checkPieExplode.Checked = false;
			checkTitle.Checked = true;

			comboBoxSeries.Items.Clear();
			for (int i=0; i<seriesList.Count; i++)
			{
				NetChartSeries series = (NetChartSeries)seriesList[i];
				comboBoxSeries.Items.Add(series.SeriesName);
			}
			comboBoxSeries.SelectedIndex = 0;
			comboBoxAxisType.SelectedIndex = (int)netChart1.AxisType;
		}

		private void buttonAxisColor_Click(object sender, System.EventArgs e)
		{
			colorDialog1.ShowDialog();
			labelAxisColor1.BackColor = colorDialog1.Color;

			netChart1.AxisColor = colorDialog1.Color;
			netChart1.UpdateChart();
		}

		private void textBoxTitleText_TextChanged(object sender, System.EventArgs e)
		{
			netChart1.TitleText = textBoxTitleText.Text;
			netChart1.UpdateChart();
		}

		private void textBoxSubtitleText_TextChanged(object sender, System.EventArgs e)
		{
			netChart1.SubtitleText = textBoxSubtitleText.Text;
			netChart1.UpdateChart();
		}

		private void buttonFirstBgColor_Click(object sender, System.EventArgs e)
		{
			colorDialog1.ShowDialog();
			labelFirstBgColor.BackColor = colorDialog1.Color;

			netChart1.FirstBgColor = colorDialog1.Color;
			netChart1.UpdateChart();
		}

		private void buttonSecondBgColor_Click(object sender, System.EventArgs e)
		{
			colorDialog1.ShowDialog();
			labelSecondBgColor.BackColor = colorDialog1.Color;

			netChart1.SecondBgColor = colorDialog1.Color;
			netChart1.UpdateChart();
		}

		private void numericUpDownGradientAngle_ValueChanged(object sender, System.EventArgs e)
		{
			netChart1.GradientAngle = (float)numericUpDownGradientAngle.Value;
			netChart1.UpdateChart();
		}

		private void comboBoxOutputType_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			switch (comboBoxOutputType.SelectedIndex)
			{
				case 0:
				{
					outputFormat = System.Drawing.Imaging.ImageFormat.Bmp;

				} break;

				case 1:
				{
					outputFormat = System.Drawing.Imaging.ImageFormat.Jpeg;

				} break;

				case 2:
				{
					outputFormat = System.Drawing.Imaging.ImageFormat.Png;

				} break;

				case 3:
				{
					outputFormat = System.Drawing.Imaging.ImageFormat.Tiff;

				} break;

				case 4:
				{
					outputFormat = System.Drawing.Imaging.ImageFormat.Gif;

				} break;
			}
		}

		private void comboBoxColorMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			netChart1.ColorMode = (NetChartColorMode)comboBoxColorMode.SelectedIndex;
			netChart1.UpdateChart();
		}

		private void comboBoxBgMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			netChart1.BackgroundMode = (NetChartBackgroundMode)comboBoxBgMode.SelectedIndex;
			netChart1.UpdateChart();
		}

		private void buttonXMLExport_Click(object sender, System.EventArgs e)
		{
			netChart1.SaveXML("TestXMLExport.xml");
		}

		private void buttonLoadXML_Click(object sender, System.EventArgs e)
		{
			netChart1.LoadXML("TestXMLExport.xml");
		}
	}
}
